Page MenuHomePhabricator

Get rid of all Ubuntu Lucid (10.04) installs
Closed, ResolvedPublic

Description

Ubuntu 12.04 Precise Pangolin has been released, and we should start upgrading all servers. This is a master/tracking ticket.

Details

Reference
rt2881

Related Objects

StatusSubtypeAssignedTask
Resolvedfaidon
Resolvedfaidon
ResolvedDzahn
DuplicateNone
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedRobH
ResolvedDzahn
ResolvedRobH
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JohnLewis
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
InvalidDzahn
ResolvedDzahn
ResolvedDzahn
DeclinedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JohnLewis
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedArielGlenn
Resolvedfaidon

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 1:11 AM
rtimport added a project: ops-core.
rtimport set Reference to rt2881.
mark created this task.May 2 2012, 12:43 PM
mark added a comment.May 2 2012, 12:43 PM

Dependency on ticket #15 added by mark

mark added a comment.May 2 2012, 12:44 PM

Servers sockpuppet and stafford have been upgraded.
--
Mark Bergsma <mark at wikimedia>
Lead Operations Architect
Wikimedia Foundation

mark added a comment.May 2 2012, 12:44 PM

Status changed from 'new' to 'open' by mark

Dzahn added a comment.May 5 2012, 5:42 AM

Reference by ticket #2892 added by dzahn

Bugzilla ticket 36623 added by robla

Filed in Bugzilla here: https://bugzilla.wikimedia.org/show_bug.cgi?id=36623.
The hope is that this upgrade will fix some PDF issues on the scalers due to
newer version of Ghostscript (see bug 36580)

mark added a comment.Jun 14 2012, 3:33 PM

Member ticket #2814 added by mark

mark added a comment.Jun 14 2012, 3:33 PM

Member ticket #3012 added by mark

mark added a comment.Jun 14 2012, 6:41 PM

manutius has been upgraded to Precise.
--
Mark Bergsma <mark at wikimedia>
Lead Operations Architect
Wikimedia Foundation

mark added a comment.Jul 17 2012, 3:21 PM

All LVS servers have been upgraded.
cp1041 was done as well.
--
Mark Bergsma <mark at wikimedia>
Lead Operations Architect
Wikimedia Foundation

lcarr wrote:

Upgrade all the servers to the precise LTS version of ubuntu

Dzahn added a comment.Dec 19 2012, 5:03 PM

Dependency on ticket #4017 added by dzahn

Dzahn added a comment.Dec 19 2012, 5:04 PM

Dependency on ticket #4019 added by dzahn

Dzahn added a comment.Dec 19 2012, 5:04 PM

Dependency on ticket #3866 added by dzahn

Dzahn added a comment.Dec 19 2012, 5:19 PM

Dependency on ticket #4110 added by dzahn

Dzahn added a comment.Dec 19 2012, 5:19 PM

Reference to ticket #2881 added by dzahn

Dzahn added a comment.Dec 19 2012, 5:19 PM

Reference by ticket #2881 added by dzahn

Dzahn added a comment.Dec 19 2012, 5:19 PM

Merged into ticket #2881 by dzahn

Dzahn added a comment.Dec 19 2012, 5:19 PM

Merged into ticket #2881 by dzahn

Member ticket #4634 added by jeremyb

Member ticket #4644 added by jeremyb

faidon merged a task: Restricted Task.Dec 18 2014, 4:42 PM
faidon renamed this task from Upgrade/reinstall all servers to Ubuntu Precise Pangolin to Get rid of all Ubuntu Lucid (10.04) installs.Dec 18 2014, 5:14 PM
faidon updated the task description. (Show Details)
faidon changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".
faidon changed the edit policy from "WMF-NDA (Project)" to "All Users".
faidon set Security to None.
faidon added subscribers: Unknown Object (MLST), Billinghurst, RobLa-WMF and 3 others.

Note that when all these go, deployment-lucid on deployment-prep can also go :) It currently is used by @apergos to test salt upgrades.

@apergos let it go and deployment-salt-lucid on deployment-prep has been killed.

greg added a subscriber: greg.Apr 28 2015, 11:33 PM
Dzahn added a comment.Sep 18 2015, 5:29 PM

This is now unblocked because we switched mailman over to fermium. Just want to keep sodium up for a couple more days, just in case.

ori awarded a token.Sep 18 2015, 5:30 PM